# lgetdelim.m4 serial 1
dnl Copyright (C) 2002, 2003, 2004, 2005 Free Software Foundation, Inc.
dnl This file is free software, distributed under the terms of the GNU
dnl General Public License.  As a special exception to the GNU General
dnl Public License, this file may be distributed as part of a program
dnl that contains a configuration script generated by Autoconf, under
dnl the same distribution terms as the rest of that program.

AC_DEFUN([lgl_FUNC_GETDELIM],
[
  dnl Persuade glibc <stdio.h> to declare getdelim.
  AC_REQUIRE([AC_GNU_SOURCE])
  AC_CHECK_FUNC(getdelim)
  AM_CONDITIONAL(HAVE_GETDELIM, test $ac_cv_func_getdelim = yes)
  lgl_PREREQ_GETDELIM
])

# Prerequisites of lib/getdelim.c.
AC_DEFUN([lgl_PREREQ_GETDELIM], [:])

AC_DEFUN([lgl_AUTOPROTO_GETDELIM],
[
  AC_CHECK_DECLS_ONCE(getdelim)
  AH_BOTTOM([/* Prototype for getdelim. */
#include <stddef.h>
#include <stdio.h>
#include <sys/types.h>
#if !HAVE_DECL_GETDELIM
extern ssize_t getdelim (char **_lineptr, size_t *_linesize, int _delimiter,
			  FILE *_stream);
#endif])
])
